LogoopenSUSE Build Service > Projects > home:winski:thinkpad > Overview
Sign Up | Log In

Thinkpad / HDAPS

Applications designed specifically for Thinkpad laptops.

IMPORTANT: If you are on a recent Thinkpad that has an Ivy Bridge or newer processor (X230, T430, T530, etc. or newer), tp_smapi will not work (I received this info straight from the current dev of hdapsd & tp_smapi). You will be mostly limited to thinkpad-acpi capabilities. Because tp_smapi provides the Hard Drive Active Protection interface, it is not possible to have this feature on newer Thinkpad laptops. For this reason, I will probably no longer update the hdapsd and tp_smapi packages, unless something changes with tp_smapi. If, however, you are using an old Thinkpad, enjoy!

Installing HDAPS:
1) install tp_smapi-XXX
2) install hdapsd
3) enable service hdapsd (this will automatically enable hdaps for you on every boot)

Notice #2 for tp_smapi users: openSUSE uses kmp instead of dkms for unkown reasons, so you will need version of tp_smapi-kmp matching exactly your kernel type and version number. Remember this when updating your kernel to a new version!

Comments for home:winski:thinkpad (0)